<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Sat Jun 12 12:09:57 CEST 2021 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-12">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="constant-values.html">Constant&nbsp;Field&nbsp;Values</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/listener/CloseListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/CloseListener.html" title="class in app.listener">CloseListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Exit Knopf gedrückt</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PlusListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/PlusListener.html" title="class in app.listener">PlusListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Original Knopf gedrückt</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/ResetListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/ResetListener.html" title="class in app.listener">ResetListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Reset Knopf gedrückt</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/StartListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/StartListener.html" title="class in app.listener">StartListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Start Knopf gedrückt</div>
</dd>
<dt><a href="app/display/package-summary.html">app.display</a> - package app.display</dt>
<dd>&nbsp;</dd>
<dt><a href="app/listener/package-summary.html">app.listener</a> - package app.listener</dt>
<dd>&nbsp;</dd>
<dt><a href="app/display/AppDrawEvent.html" title="class in app.display"><span class="type-name-link">AppDrawEvent</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Hauptklasse, welche die ausführbare Main-Methode enthällt</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#%3Cinit%3E()">AppDrawEvent()</a></span> - Constructor for class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="app/display/AppFrame.html" title="class in app.display"><span class="type-name-link">AppFrame</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Neue Klasse für einen Frame mit einer DefaultCloseOperation</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AppFrame.html#%3Cinit%3E(java.lang.String)">AppFrame(String)</a></span> - Constructor for class app.display.<a href="app/display/AppFrame.html" title="class in app.display">AppFrame</a></dt>
<dd>
<div class="block">Konstruktor für besagten Frame</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#applyPattern(boolean%5B%5D%5B%5D,int,int,java.awt.image.BufferedImage)">applyPattern(boolean[][], int, int, BufferedImage)</a></span> - Static method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Die Funktion wendet ein übergebenes Pattern ein eine übergebene Stelle
 eines übergebenen BufferedImages an, ersetzt also Pixel.</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#automat">automat</a></span> - Variable in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Referenz auf den Automaten, der geupdated werden soll</div>
</dd>
<dt><a href="app/display/Automat.html" title="class in app.display"><span class="type-name-link">Automat</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Eine Klasse, welche einen zellulären Automaten repräsentiert</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#%3Cinit%3E(java.awt.image.BufferedImage,int)">Automat(BufferedImage, int)</a></span> - Constructor for class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Konstruktor für einen Automaten</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PlusListener.html#automatUpdater">automatUpdater</a></span> - Variable in class app.listener.<a href="app/listener/PlusListener.html" title="class in app.listener">PlusListener</a></dt>
<dd>
<div class="block">Referenz auf den Updater</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/ResetListener.html#automatUpdater">automatUpdater</a></span> - Variable in class app.listener.<a href="app/listener/ResetListener.html" title="class in app.listener">ResetListener</a></dt>
<dd>
<div class="block">Referenz auf den AutomatUpdater</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/StartListener.html#automatUpdater">automatUpdater</a></span> - Variable in class app.listener.<a href="app/listener/StartListener.html" title="class in app.listener">StartListener</a></dt>
<dd>
<div class="block">Referenz auf den Updater</div>
</dd>
<dt><a href="app/display/AutomatUpdater.html" title="class in app.display"><span class="type-name-link">AutomatUpdater</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Die Klasse Repräsentiert eine Automaten Updater
 Sie kümmert sich ums darstellen der Generationen</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#%3Cinit%3E(javax.swing.JLabel,app.display.Automat,javax.swing.JLabel)">AutomatUpdater(JLabel, Automat, JLabel)</a></span> - Constructor for class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Konstruktor für einen neuen AutomatUpdater</div>
</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="app/listener/CloseListener.html" title="class in app.listener"><span class="type-name-link">CloseListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">CloseListener Klasse horcht auf den Exit Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/CloseListener.html#%3Cinit%3E()">CloseListener()</a></span> - Constructor for class app.listener.<a href="app/listener/CloseListener.html" title="class in app.listener">CloseListener</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#DEFAULT_INPUT">DEFAULT_INPUT</a></span> - Static variable in class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>
<div class="block">Der Default Input</div>
</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#errorLabel">errorLabel</a></span> - Variable in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Referenz auf das errorLabel um Text schreiben zu können</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PlusListener.html#errorLabel">errorLabel</a></span> - Variable in class app.listener.<a href="app/listener/PlusListener.html" title="class in app.listener">PlusListener</a></dt>
<dd>
<div class="block">Referenz auf das errorLabel um Text schreiben zu können</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/StartListener.html#errorLabel">errorLabel</a></span> - Variable in class app.listener.<a href="app/listener/StartListener.html" title="class in app.listener">StartListener</a></dt>
<dd>
<div class="block">Referenz auf das errorLabel um Text schreiben zu können</div>
</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#GEN_LIMIT">GEN_LIMIT</a></span> - Static variable in class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>
<div class="block">Beschreibt die Maximalanzahl an Generationen</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#generation">generation</a></span> - Variable in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Speichert die aktuelle Generation</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#genQuadMatrix(int)">genQuadMatrix(int)</a></span> - Method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Die Methode erzeugt eine neue Quadratische Boolean Matrix</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#getAutomat()">getAutomat()</a></span> - Method in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Die Funktion gibt eine Referenz auf den Automaten zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#getGeneration()">getGeneration()</a></span> - Method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Die Funktion gibt die aktuelle Generation zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#getPatternBuf(java.awt.image.BufferedImage)">getPatternBuf(BufferedImage)</a></span> - Static method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Die Funktion bekommt ein BufferedImage und wendet das Pattern darauf an.</div>
</dd>
</dl>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/Automat.html#image">image</a></span> - Variable in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Das Ursprungsbild für die erste Generation</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#imageLabel">imageLabel</a></span> - Variable in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Referenz auf das imageLabel, wo das Ergebnis hingezeichnet wird</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#init()">init()</a></span> - Method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">init intitialisiert den Automaten
 - Die Generation wird gesetzt
 - Zwei neue Boolean Matrizen werden erstellt (now und next)
 - Schwarze Pixel des umgewandelten Bildes werden zu lebenden Zellen</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#iterate()">iterate()</a></span> - Method in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Die Funktion erzeugt newRound viele neue Generationen</div>
</dd>
</dl>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/Automat.html#len">len</a></span> - Variable in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Speichert die Länge (Höhe und Breite) des Automaten</div>
</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>
<div class="block">Main-Methode, welche ein Bild übergeben bekommt</div>
</dd>
<dt><a href="app/display/MyButton.html" title="class in app.display"><span class="type-name-link">MyButton</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Klasse für einen eigenen Button ohne blauen Schimmer</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/MyButton.html#%3Cinit%3E(java.lang.String)">MyButton(String)</a></span> - Constructor for class app.display.<a href="app/display/MyButton.html" title="class in app.display">MyButton</a></dt>
<dd>
<div class="block">Konstruktor für einen Button</div>
</dd>
</dl>
<h2 class="title" id="I:N">N</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#newRound">newRound</a></span> - Variable in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Enthält die neue Rundenanzahl falls der Updater aufgerufen wird</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#next">next</a></span> - Variable in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Wird benötigt für die Berechnung der nächsten Generation</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#nextGeneration()">nextGeneration()</a></span> - Method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Die Funktion setzt den Automaten auf seine nächste Generation
 - Dabei wird ein performace Padding berechnet, damit nicht alles Pixel des
   Automaten neu berechnet werden müssen.</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/Automat.html#now">now</a></span> - Variable in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Speichert den aktuellen Zustand des zellulären Automaten</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/StartListener.html#numberInput">numberInput</a></span> - Variable in class app.listener.<a href="app/listener/StartListener.html" title="class in app.listener">StartListener</a></dt>
<dd>
<div class="block">Referenz auf das Input Feld</div>
</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/Automat.html#padding">padding</a></span> - Variable in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Bestimmt das padding um die Ursprungsgeneration</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#PADDING_FACTOR">PADDING_FACTOR</a></span> - Static variable in class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>
<div class="block">Das Standardmäßige Padding des Automaten</div>
</dd>
<dt><a href="app/listener/PlusListener.html" title="class in app.listener"><span class="type-name-link">PlusListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">PlusListener Klasse horcht auf den Start Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PlusListener.html#%3Cinit%3E(app.display.AutomatUpdater,javax.swing.JLabel)">PlusListener(AutomatUpdater, JLabel)</a></span> - Constructor for class app.listener.<a href="app/listener/PlusListener.html" title="class in app.listener">PlusListener</a></dt>
<dd>
<div class="block">Konstruktor für einen PlusListener</div>
</dd>
</dl>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="app/listener/ResetListener.html" title="class in app.listener"><span class="type-name-link">ResetListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">ResetListener Klasse horcht auf den Reset Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/ResetListener.html#%3Cinit%3E(app.display.AutomatUpdater)">ResetListener(AutomatUpdater)</a></span> - Constructor for class app.listener.<a href="app/listener/ResetListener.html" title="class in app.listener">ResetListener</a></dt>
<dd>
<div class="block">Konstruktor</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#run()">run()</a></span> - Method in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">run Methode, welche nur einmal beim Start des Threads aufgerufen wird</div>
</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="app/listener/StartListener.html" title="class in app.listener"><span class="type-name-link">StartListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">StartListener Klasse horcht auf den Start Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/StartListener.html#%3Cinit%3E(app.display.AutomatUpdater,javax.swing.JTextField,javax.swing.JLabel)">StartListener(AutomatUpdater, JTextField, JLabel)</a></span> - Constructor for class app.listener.<a href="app/listener/StartListener.html" title="class in app.listener">StartListener</a></dt>
<dd>
<div class="block">Konstruktor für einen StartListener</div>
</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/Automat.html#toBuf()">toBuf()</a></span> - Method in class app.display.<a href="app/display/Automat.html" title="class in app.display">Automat</a></dt>
<dd>
<div class="block">Die Funktion erstellt für den aktuellen Automaten ein BufferedImage.</div>
</dd>
</dl>
<h2 class="title" id="I:U">U</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AutomatUpdater.html#update(int)">update(int)</a></span> - Method in class app.display.<a href="app/display/AutomatUpdater.html" title="class in app.display">AutomatUpdater</a></dt>
<dd>
<div class="block">Update setzt newRound auf den übergebenen Wert
 und weckt dann den Thread wieder auf, das er beginnt zu rechnen</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="constant-values.html">Constant&nbsp;Field&nbsp;Values</a></main>
</div>
</div>
</body>
</html>
